:PROPERTIES:
:ID:       33ef1e68-70ad-43c8-850d-4b8ed2c5ea16
:mtime:    20220327102013
:ctime:    20220327100232
:END:
#+title: Elisp

* Introduction
Emacs Lisp est un dialecte du language /Lisp/ utilisé, entre autres, par les éditeurs /Emacs/ et /XEmacs/.

* Listes
** Backquote `
L'usage de /backquote/ avec une liste permet :
 * La convertir en chaine de caractères,
#+BEGIN_SRC emacs-lisp :results verbatim
`(a list of ,(+ 2 3) elements)
#+END_SRC
#+RESULTS:
: (a list of 5 elements)

 * L'évaluation sélective d'éléments,
#+BEGIN_SRC emacs-lisp :results verbatim
(setq some-list '(2 3))
#+END_SRC
#+RESULTS:
: (2 3)

 * La fusion de listes
#+BEGIN_SRC emacs-lisp :results verbatim
`(1 ,@some-list 4 ,@some-list)
#+END_SRC
#+RESULTS:
: (1 2 3 4 2 3)

* Références
 * [[https://emacstil.com/til/2022/01/05/elisp-what-does-backquote-do/][Elisp: What does backquote ` do ?]]
 * [[https://www.gnu.org/software/emacs/manual/html_node/eintr/][An Introduction to Programming in Emacs Lisp]]
